Skip to content

Instantly share code, notes, and snippets.

@saper
Last active Feb 25, 2018
Embed
What would you like to do?
=>> Building textproc/node-sass
build started at Sun Feb 25 02:33:35 UTC 2018
port directory: /usr/ports/textproc/node-sass
package name: node-sass-4.7.2
building for: FreeBSD node4_10_3_i386-exp-node9-job-01 10.3-RELEASE-p26 FreeBSD 10.3-RELEASE-p26 i386
maintained by: saper@SAPER.INFO
Makefile ident:
Poudriere version: 3.2.4
Host OSVERSION: 1101501
Jail OSVERSION: 1003000
Job Id: 01
---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p26
UNAME_r=10.3-RELEASE-p26
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/node4_10_3_i386-exp-node9/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
OLDPWD=/usr/local/poudriere/data/.m/node4_10_3_i386-exp-node9/ref/.p
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
PWD=/usr/local/poudriere/data/.m/node4_10_3_i386-exp-node9/ref/.p/pool
MASTERNAME=node4_10_3_i386-exp-node9
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
P_PYTHON_MAJOR_VER=2
POUDRIERE_VERSION=3.2.4
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
GID=0
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---
---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---
---Begin OPTIONS List---
---End OPTIONS List---
--MAINTAINER--
saper@SAPER.INFO
--End MAINTAINER--
--CONFIGURE_ARGS--
--End CONFIGURE_ARGS--
--CONFIGURE_ENV--
MAKE=gmake PYTHON="/usr/local/bin/python2.7" XDG_DATA_HOME=/wrkdirs/usr/ports/textproc/node-sass/work XDG_CONFIG_HOME=/wrkdirs/usr/ports/textproc/node-sass/work HOME=/wrkdirs/usr/ports/textproc/node-sass/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/textproc/node-sass/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--
--MAKE_ENV--
CC.host=cc CXX.host=c++ LINK.host=c++ LINK.target=c++ V=1 SKIP_SASS_BINARY_DOWNLOAD_FOR_CI=yes LIBSASS_EXT=yes CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing " LIBSASS_LIBRARY=/usr/local/lib/libsass_pic.a LIBSASS_CFLAGS=-I/usr/local/include NPM_CONFIG_CACHE=/distfiles/npm NPM_CONFIG_UNSAFE_PERM=1 NPM_CONFIG_NODEDIR=/usr/local/include/node GYP_DEFINES=clang=1 XDG_DATA_HOME=/wrkdirs/usr/ports/textproc/node-sass/work XDG_CONFIG_HOME=/wrkdirs/usr/ports/textproc/node-sass/work HOME=/wrkdirs/usr/ports/textproc/node-sass/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/textproc/node-sass/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local LOCALBASE=/usr/local LIBDIR="/usr/lib" CC="cc" CFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing" CPP="cpp" CPPFLAGS="" LDFLAGS=" -fstack-protector" LIBS="" CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing " MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install -s -m 555" BSD_INSTALL_LIB="install -s -m 0644" BSD_INSTALL_SCRIPT="install -m 555" BSD_INSTALL_DATA="install -m 0644" BSD_INSTALL_MAN="install -m 444"
--End MAKE_ENV--
--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" PYTHON_INCLUDEDIR=include/python2.7 PYTHON_LIBDIR=lib/python2.7 PYTHON_PLATFORM=freebsd10 PYTHON_PYOEXTENSION=pyo PYTHON_SITELIBDIR=lib/python2.7/site-packages PYTHON_SUFFIX=27 PYTHON_VER=2.7 PYTHON_VERSION=python2.7 PYTHON2="" PYTHON3="@comment " OSREL=10.3 PREFIX=%D LOCALBASE=/usr/local RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/node-sass" EXAMPLESDIR="share/examples/node-sass" DATADIR="share/node-sass" WWWDIR="www/node-sass" ETCDIR="etc/node-sass"
--End PLIST_SUB--
--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local DATADIR=/usr/local/share/node-sass DOCSDIR=/usr/local/share/doc/node-sass EXAMPLESDIR=/usr/local/share/examples/node-sass WWWDIR=/usr/local/www/node-sass ETCDIR=/usr/local/etc/node-sass
--End SUB_LIST--
---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/node4_10_3_i386-make.conf ####
WITH_PKGNG=yes
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=i386
CONFIGURE_MAX_CMD_LEN=262144
OPSYS=FreeBSD
OSREL=10.3
OSVERSION=1003000
PYTHONBASE=/usr/local
_OSRELEASE=10.3-RELEASE-p26
_SMP_CPUS=4
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time (seconds, -t) unlimited
file size (512-blocks, -f) unlimited
data seg size (kbytes, -d) 524288
stack size (kbytes, -s) 65536
core file size (512-blocks, -c) unlimited
max memory size (kbytes, -m) unlimited
locked memory (kbytes, -l) unlimited
max user processes (-u) 12171
open files (-n) 1024
virtual mem size (kbytes, -v) unlimited
swap limit (kbytes, -w) unlimited
sbsize (bytes, -b) unlimited
pseudo-terminals (-p) unlimited
--End resource limits--
=======================<phase: check-sanity >============================
===> License MIT accepted by the user
===========================================================================
=======================<phase: pkg-depends >============================
===> node-sass-4.7.2 depends on file: /usr/local/sbin/pkg - not found
===> Installing existing package /packages/All/pkg-1.10.5.txz
[node4_10_3_i386-exp-node9-job-01] Installing pkg-1.10.5...
[node4_10_3_i386-exp-node9-job-01] Extracting pkg-1.10.5: .......... done
===> node-sass-4.7.2 depends on file: /usr/local/sbin/pkg - found
===> Returning to build of node-sass-4.7.2
===========================================================================
=======================<phase: fetch-depends >============================
===> node-sass-4.7.2 depends on package: npm>=0 - not found
===> Installing existing package /packages/All/npm-5.6.0_2.txz
[node4_10_3_i386-exp-node9-job-01] Installing npm-5.6.0_2...
[node4_10_3_i386-exp-node9-job-01] `-- Installing gmake-4.2.1_2...
[node4_10_3_i386-exp-node9-job-01] | `-- Installing gettext-runtime-0.19.8.1_1...
[node4_10_3_i386-exp-node9-job-01] | | `-- Installing indexinfo-0.3.1...
[node4_10_3_i386-exp-node9-job-01] | | `-- Extracting indexinfo-0.3.1: .... done
[node4_10_3_i386-exp-node9-job-01] | `-- Extracting gettext-runtime-0.19.8.1_1: .......... done
[node4_10_3_i386-exp-node9-job-01] `-- Extracting gmake-4.2.1_2: .......... done
[node4_10_3_i386-exp-node9-job-01] `-- Installing node-9.5.0...
[node4_10_3_i386-exp-node9-job-01] | `-- Installing c-ares-1.12.0_2...
[node4_10_3_i386-exp-node9-job-01] | `-- Extracting c-ares-1.12.0_2: .......... done
[node4_10_3_i386-exp-node9-job-01] | `-- Installing icu-60.2_2,1...
[node4_10_3_i386-exp-node9-job-01] | `-- Extracting icu-60.2_2,1: .......... done
[node4_10_3_i386-exp-node9-job-01] | `-- Installing libuv-1.19.2...
[node4_10_3_i386-exp-node9-job-01] | `-- Extracting libuv-1.19.2: .......... done
[node4_10_3_i386-exp-node9-job-01] `-- Extracting node-9.5.0: .......... done
[node4_10_3_i386-exp-node9-job-01] `-- Installing python27-2.7.14_1...
[node4_10_3_i386-exp-node9-job-01] | `-- Installing libffi-3.2.1_2...
[node4_10_3_i386-exp-node9-job-01] | `-- Extracting libffi-3.2.1_2: .......... done
[node4_10_3_i386-exp-node9-job-01] | `-- Installing readline-7.0.3_1...
[node4_10_3_i386-exp-node9-job-01] | `-- Extracting readline-7.0.3_1: .......... done
[node4_10_3_i386-exp-node9-job-01] `-- Extracting python27-2.7.14_1: .......... done
[node4_10_3_i386-exp-node9-job-01] Extracting npm-5.6.0_2: .......... done
Message from node-9.5.0:
Note: If you need npm (Node Package Manager), please install www/npm.
Message from python27-2.7.14_1:
===========================================================================
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:
bsddb databases/py-bsddb
gdbm databases/py-gdbm
sqlite3 databases/py-sqlite3
tkinter x11-toolkits/py-tkinter
===========================================================================
===> node-sass-4.7.2 depends on package: npm>=0 - found
===> Returning to build of node-sass-4.7.2
===========================================================================
=======================<phase: fetch >============================
===> License MIT accepted by the user
===> Fetching all distfiles required by node-sass-4.7.2 for building
/bin/mkdir -p /portdistfiles/node-sass
/bin/mkdir -p /portdistfiles/npm
/bin/cp /usr/ports/textproc/node-sass/files/package-lock.json /portdistfiles/node-sass
/bin/cp /usr/ports/textproc/node-sass/files/package.json /portdistfiles/node-sass
(cd /portdistfiles/node-sass && /usr/bin/env NPM_CONFIG_CACHE=/portdistfiles/npm npm install --ignore-scripts)
npm WARN lifecycle node-sass@4.7.2~install: cannot run in wd %s %s (wd=%s) node-sass@4.7.2 node scripts/install.js /portdistfiles/node-sass
npm WARN lifecycle node-sass@4.7.2~postinstall: cannot run in wd %s %s (wd=%s) node-sass@4.7.2 node scripts/build.js /portdistfiles/node-sass
npm WARN prepublish-on-install As of npm@5, `prepublish` scripts are deprecated.
npm WARN prepublish-on-install Use `prepare` for build steps and `prepublishOnly` for upload-only.
npm WARN prepublish-on-install See the deprecation note in `npm help scripts` for more information.
npm WARN lifecycle node-sass@4.7.2~prepublish: cannot run in wd %s %s (wd=%s) node-sass@4.7.2 not-in-install && node scripts/prepublish.js || in-install /portdistfiles/node-sass
added 356 packages in 10.684s
===========================================================================
=======================<phase: checksum >============================
===> License MIT accepted by the user
===> Fetching all distfiles required by node-sass-4.7.2 for building
/bin/mkdir -p /portdistfiles/node-sass
/bin/mkdir -p /portdistfiles/npm
/bin/cp /usr/ports/textproc/node-sass/files/package-lock.json /portdistfiles/node-sass
/bin/cp /usr/ports/textproc/node-sass/files/package.json /portdistfiles/node-sass
(cd /portdistfiles/node-sass && /usr/bin/env NPM_CONFIG_CACHE=/portdistfiles/npm npm install --ignore-scripts)
npm WARN lifecycle node-sass@4.7.2~install: cannot run in wd %s %s (wd=%s) node-sass@4.7.2 node scripts/install.js /portdistfiles/node-sass
npm WARN lifecycle node-sass@4.7.2~postinstall: cannot run in wd %s %s (wd=%s) node-sass@4.7.2 node scripts/build.js /portdistfiles/node-sass
npm WARN prepublish-on-install As of npm@5, `prepublish` scripts are deprecated.
npm WARN prepublish-on-install Use `prepare` for build steps and `prepublishOnly` for upload-only.
npm WARN prepublish-on-install See the deprecation note in `npm help scripts` for more information.
npm WARN lifecycle node-sass@4.7.2~prepublish: cannot run in wd %s %s (wd=%s) node-sass@4.7.2 not-in-install && node scripts/prepublish.js || in-install /portdistfiles/node-sass
npm WARN ajv-keywords@1.5.1 requires a peer of ajv@>=4.10.0 but none is installed. You must install peer dependencies yourself.
up to date in 2.13s
=> SHA256 Checksum OK for sass-node-sass-v4.7.2_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract >============================
===> License MIT accepted by the user
===> Fetching all distfiles required by node-sass-4.7.2 for building
/bin/mkdir -p /portdistfiles/node-sass
/bin/mkdir -p /portdistfiles/npm
/bin/cp /usr/ports/textproc/node-sass/files/package-lock.json /portdistfiles/node-sass
cp: /portdistfiles/node-sass/package-lock.json: Permission denied
*** Error code 1
Stop.
make: stopped in /usr/ports/textproc/node-sass
=>> Cleaning up wrkdir
===> Cleaning for node-sass-4.7.2
build of textproc/node-sass | node-sass-4.7.2 ended at Sun Feb 25 02:33:55 UTC 2018
build time: 00:00:20
!!! build failure encountered !!!
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment